Status: Closed

Priority: Normal

Category:

Customer: ELEKTROBIT Product Issue https://www.cip.audi.de/jira/browse/CDIF

Numbers: HD-63

Department: SUPPORT Affected Products: ADTF Device Toolbox 3.0.0, ADTF File
Library 0.4.1 (BETA)

Requester's Priority: Normal Platform:

Support Level: 3rd Level Topic: FileLibrary::Common

Resolution: Product Issue Opened FAQ Links:

Description

Supportanfrage

Hier ein paar Findings in der adtf_file_library:
1) Typo in include Guards:
src\libraries\adtf_file\include\adtf_file\adtf2\legacy_types.h
src\libraries\adtf_file\include\adtf_file\adtf2\adtf2_adtf_core_media_sample_deserializer.h
src\libraries\adtf_file\include\adtf_file\adtf2\adtf2_adtf_core_media_sample_serializer.h
src\libraries\adtf_file\include\adtf_file\adtf2\adtf2_sample_info.h
src\libraries\adtf_file\include\adtf_file\adtf2\adtf2_stream_type_deserializers.h
src\libraries\adtf_file\include\adtf_file\adtf2\adtf2_stream_type_serializers.h
src\libraries\adtf_file\include\adtf_file\adtf3\adtf3_media_description_serializer.h
src\libraries\adtf_file\include\adtf_file\adtf3\adtf3_sample_copy_deserializer.h
src\libraries\adtf_file\include\adtf_file\adtf3\adtf3_sample_info.h
src\libraries\adtf_file\include\adtf_file\adtf3\adtf3_stream_type_deserializer.h
src\libraries\adtf_file\include\adtf_file\adtf3\adif3_stream_type_serializer.h
src\libraries\utilsSextension\include\utils5extension\utils5ext_pkg.h
src\libraries\utils5extension\include\utils5extension\utils5extension.h
2) Ein adtffileplugin Datei kann hinzugeftgt werden (s. fileaccess Bespiel) um der Reader zum Erweitern. Mindestens bis Version
0.2.1 kdnnte man der adtf_devtb_2_deserializer(d).adtffileplugin(devtb2_deserializer(d).adtffileplugin in BETA Releases) im Reader
laden, jetzt mit 0.4.1 nicht mehr. Grund: die c interface ist nicht mehr kompatibel. (Man kann sehen dass es gab ein gro3e Refaktor
von snake Case zu camel Case.)

extern "C" B Dependency Walker - [adtf devitb_2_deserializer.adtffileplugin]

k ®Z File Edit View Options Profile Window Help

#ifdef WIN32 SES R e WME S ==L

__declspec(dllimport) == ADTF_DEVTB_2_DESERIALIZER.ADTFFILEPLUGIN -~ | L Ordinal » | Hint Function Entry Point
bool adtfFilelsDebugPlugin(); [0 PSAPLDLL E

sendif Fi-- [ KERMEL32.DLL

. [ 3§ USER32.DLL

#ifdef WIN32 - [ SHELL32.DLL

__declspec(dllimport)
#endif

1§ MSVCRT.DLL
id adtfFileSetObjects(adtf_file::Objects& objects) !

. [%]§ KERNELBASE.DLL

< (81§ API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

< 81§ API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.0LL
81§ API-MS-WIN-CORE-FILE-L1-1-0.DLL
1§ API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

#endif [/ _ADTF_FILE_ADTF_FILE_READER_INCLUDED_ e [B]8 API-MS-WIN-CORE-HEAP-11-1-0.DLL E Ordinal * | Hint Function Entry Point
< [5]§ API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL 1(0x0001)|0(00000) | adtf_file_is_debug_plugin [ 0:000014EC
2(0x0002) |1 (0:0001) | adtf file_set_ohjects 0000022F2

I - 81§ APT-MS-WIN-CORE-10-L1-1-0.DLL
Suppbrtanfrage

1) CDIFHD-63 erstellt
2) Bekannt -> siehe ADTF Device Toolbox 3.0.0 is now available, gelést in Device Toolbox 3.1.0, Details siehe #7208#note-4

History
https://support.digitalwerk.net/news/66
https://support.digitalwerk.net/issues/7208#note-4

#1 - 2019-05-17 12:34 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to FileLibrary::Common

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF File Library 0.4.1 (BETA) added

#2 - 2019-05-17 12:45 - hidden
- Subject changed from FW: adif file_library (v0.4.1) source findings to [EBPRODUCTSUPPORT-3774] adlf_file_library (v0.4.1) source findings

#3 - 2019-05-17 13:01 - hidden
- Resolution set to Product Issue Opened
- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/CDIFHD-63
Produkt Ticket CDIFHD-63 wurde fiir den ersten Teil mit den Typos angelegt.
@Martin: Kannst Du Dir bitte auch den letzten Punkt nochmal ansehen?
ein adtffileplugin Datei kann hinzugefligt werden (s. fileaccess Bespiel) um der Reader zum Erweitern. Mindestens bis Version 0.2.1 kénnte man

der adtf_devtb_2_deserializer(d).adtffileplugin(devtb2_deserializer(d).adtffileplugin in BETA Releases) im Reader laden, jetzt mit 0.4.1 nicht
mehr. Grund: die c interface ist nicht mehr kompatibel. (Man kann sehen dass es gab ein groBe Refaktor von snake Case zu camel Case.)

#4 - 2019-05-22 09:09 - hidden

Hi Anja,

ja das hangt leider mit der Harmonisierung der Coding Guidelines aller unserer OpenSource Projekte zusammen. Der Bruch der Binarkompatibilitat
war an der Stelle leider nicht mehr zu verhindern (du kannst Dir gar nicht vorstellen wie lange ich mich mit Thema Coding Styles herumgeschlagen
habe um das vor den ersten Releases zu machen :-( ).

Leider taucht das im Changelog nicht sehr prominent auf.

@Flo kannst Du das nochmal deutlich einarbeiten?

#5 - 2019-05-23 11:45 - hidden

Hallo Martin,

Wir es dann auch eine neue Devicetoolbox geben, die mit dem neuen C interface kompatibel ist um den Deserializer zu laden?

Danke und Gruf3e,
Anja

#6 - 2019-05-23 16:45 - hidden
- Affected Products ADTF Device Toolbox 3.0.0 added

Hallo Anja,

das sollte mit der Device Toolbox 3.0.0 und dem Patch (eigentlich fir ADTF 3.4.0) funktionieren.
Findest Du bei uns im Download Center hier

Grui3
Matthias

#7 - 2019-05-28 09:48 - hidden

Wir es dann auch eine neue Devicetoolbox geben, die mit dem neuen C interface kompatibel ist um den Deserializer zu laden?

Natdrlich, das wird in der 3.1.0 enthalten sein, diese ist dann zu ADTF 3.5.0 kompatibel
https://support.digitalwerk.net/projects/download-center/repository/show/adtf-toolboxes/adtf-device-toolbox/release-3.0.0

#8 - 2019-05-28 09:48 - hidden

- Status changed from In Progress to Customer Feedback Required

#9 - 2019-06-03 09:57 - hidden
- Project changed from 7 to Public Support

- Subject changed from [EBPRODUCTSUPPORT-3774] adif file_library (v0.4.1) source findings to [EBPRODUCTSUPPORT-3774] Could not load

deserialzer from Device Toolbox

- Description updated

- Status changed from Customer Feedback Required to To Be Closed
- Private changed from Yes to No

- Support Level changed from 2nd Level to 3rd Level

#10 - 2019-06-03 09:57 - hidden

- Subject changed from [EBPRODUCTSUPPORT-3774] Could not load deserialzer from Device Toolbox to [EBPRODUCTSUPPORT-3774] Could not

load deserializer adfffileplugin from Device Toolbox
#11 - 2019-06-05 09:30 - hidden
Hallo,

meine spéate Antwort tut mir leid.
Alles Klar, ihr kénnt das Ticket dann zu machen.

Best regards,
Anja Winkler

#12 - 2019-07-19 08:20 - hidden
- Status changed from To Be Closed to Closed
